gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A container which allows you to position widgets at fixed coordinates

The widget is a container which can place child widgets at fixed positions and with fixed sizes, given in pixels. performs no automatic layout management.

For most applications, you should not use this container! It keeps you from having to learn about the other Gtk# containers, but it results in broken applications. With , the following things will result in truncated text, overlapping widgets, and other display bugs:

Themes, which may change widget sizes.
Fonts other than the one you used to write the app will of course change the size of widgets containing text; keep in mind that users may use a larger font because of difficulty reading the default, or they may be using Windows or the framebuffer port of GTK+, where different fonts are available.
Translation of text into other languages changes its size. Also, display of non-English text will use a different font in many cases.

In addition, the fixed widget can not properly be mirrored in right-to-left languages such as Hebrew and Arabic. i.e. normally Gtk# will flip the interface to put labels to the right of the thing they label, but it can not do that with . So your application will not be usable in right-to-left languages.

Finally, fixed positioning makes it kind of annoying to add/remove GUI elements, since you have to reposition all the other elements. This is a long-term maintenance problem for your application.

If you know none of these things are an issue for your application, and prefer the simplicity of , by all means use the widget. But you should be aware of the tradeoffs.

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` Moves a child of a container to the given position. an object of type an object of type an object of type Moves a child of a container to the given position.
- Method
  System.Void `` `` `` Adds a widget to a container at the given position. an object of type an object of type an object of type Adds a widget to a container at the given position.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Fixed, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new object.
  an object of type
  Creates a new object.
- Property
  System.Boolean Determines if has a seperate an object of type an object of type

  Gets whether the has its own .

  Sets whether a widget is created with a separate or not. (By default, it will be created without a seperate ). This function must be called while the is not realized, for instance, immediately after the window is created.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Int32 `` Get the X coordinate of a child . a child of this 's X coordinate
- Method
  System.Void `` `` Set the X coordinate of a child . a child of this 's new X coordinate
- Method
  System.Int32 `` Get the Y coordinate of a child . a child of this 's Y coordinate
- Method
  System.Void `` `` Set the Y coordinate of a child . a child of this 's new Y coordinate